local path = debug.getinfo(1).source
if string.sub(path, 1, 1) == "@" then
    path = string.sub(path, 2)
end
local dir = string.match(path, "(.*/)")
loadfile(dir .. 'lib.lua')()


local function deg2rad(deg)
	return deg / 180 * math.pi
end

local inputTable = {
   
	{ name='Witch', length=0, rebase=0, groups={
        { offset=0, notDiff='Edit', mods={
			
			--Shriek
			{beat=105.25, len=0.25, mod='Skew', val=0},
			{beat=105.25, len=0.25, mod='Tilt', val=0},
			{beat=107, len=1.0, mod='Mini', from=8, val='user', ease='SpringEnd'},
			{beat=106.25, len=1, mod='Tipsy', val=-0.25, ease='SmoothStep3'},
			{beat=106.5, len=0.5, mod='TipsySpeed', from=1, val=20, ease='SmoothEnd2'},
			{beat=107, len=1, mod='Tipsy', val=0, ease='SmoothStep3'},
			{beat=107.75, len=0.25, mod='Skew', from=0, val='user'},
			{beat=107.75, len=0.25, mod='Tilt', from=0, val='user'},
		
		} },
    } },
}

return Def.ActorFrame{
    LibActor{
        inputTable=inputTable,
        usePlayFieldMods=false,
        showDebug=false,
    },
	Def.Quad{
        InitCommand=function(self) self:visible(false) end,
		OnCommand=function(self) self:sleep(9999) end,
    }
}
